Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
1388 connectés 

  FORUM HardWare.fr
  Systèmes & Réseaux Pro
  Management du SI

  Puppet en Version 4

 


 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Puppet en Version 4

n°145719
xfreekingx
Posté le 28-03-2017 à 09:45:22  profilanswer
 

Bonjour a tous,
 
Je voudrais savoir si il est possible d'avoir la version 4 de puppet sur une Ubuntu 16.04  (Xenial), et comment. Je demande cela car j'ai installé plusieurs fois Puppet et ces repository et je tombe toujours sur la version 3.8.5....
Pour info je prend les repository sur http://apt.puppetlabs.com
 
Merci pour votre réponse,
 
Bonne journée  
 
 :hello:

mood
Publicité
Posté le 28-03-2017 à 09:45:22  profilanswer
 

n°145723
remi_
Posté le 28-03-2017 à 10:20:30  profilanswer
 

Bonjour,
 
as-tu bien installé le package suivant: https://apt.puppetlabs.com/puppetla [...] xenial.deb
 
puis fait un apt-get update avant l'install ?
 

n°145724
xfreekingx
Posté le 28-03-2017 à 10:42:17  profilanswer
 

Oui, c'est exactement ce que j'ai fais. J'ai même tenté un upgrade après l'installation, mais rien n'y fait. Je ne sais même pas si c'est normal ou non. Si sa se trouve les versions 4 ne sont disponibles que pour Puppet Entreprise...

n°145754
remi_
Posté le 29-03-2017 à 09:00:01  profilanswer
 

Bonjour,
 
étrange, normalement c'est supporté, tu as meme un tuto de digitalocean à ce propos:
 
https://www.digitalocean.com/commun [...] untu-16-04
 
Que te donne la commande 'aptitude show pupperserver" ?

n°145761
xfreekingx
Posté le 29-03-2017 à 11:34:26  profilanswer
 

Bonjour,
 
Après avoir testé la commande "aptitude show puppetserver" je vois que je suis bien dans la dernière version de puppetserver (la 2.7.2). Donc visiblement ce sont mes clients qui sont en version 3.8.5. Je vois également que les repos "apt.puppetlabs.com" sont bien pris en compte.
 
(Quand je fais : puppet --version   , j'obtiens : 3.8.5)
 
C'est bizarre tout ça ^^
 
Comment faites-vous pour vérifier votre version de puppet ? (Peut être que c'est juste moi qui utilise la mauvaise commande)
 
Merci

n°145763
xfreekingx
Posté le 29-03-2017 à 11:59:24  profilanswer
 

C'est bon, j'ai trouvé ... En fait c’était un problème dans mon bash qui utilisait par defaut une ancienne version de puppet (la 3.8.5) que j'avais installé via : apt-get install puppet. J'ai donc supprimé cette version, installé le package puppet-agent, et renseigné le chemin du nouveau client puppet dans le fichier .bashrc (car il ne le trouve pas tout seul). Maintenant j'ai bien mon client Puppet en version 4.9.4 .
 
Merci pour votre aide :) PB résolu !


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Systèmes & Réseaux Pro
  Management du SI

  Puppet en Version 4

 

Sujets relatifs
Ciel compta évolution version réseauRecherche base de connaissance version CBR
Version RDP sur Windows Server Entreprise SP2 ?LogMeIn - Arrêt de la version gratuite
Configuration Cacti et OS6850 pour snmp version 3Centreon UNKNOWN: SNMP error with snmp version 2c
[résolu]Version de java pour poste clientXendesktop/Desktop receiver : premiere version à rediriger l'USB?
[?]Windows serveur 2012, quelle version ?télécharger dernière version de Metaframe presentation server client
Plus de sujets relatifs à : Puppet en Version 4



Copyright © 1997-2016 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR